View Issue Details

IDProjectCategoryView StatusLast Update
0001912FreeCADBugpublic2016-07-28 17:32
Reporterquick61Assigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001912: Drawing Workbench Not Displaying Views of Cylindrical Parts.
DescriptionWhen adding a cylindrical shaped part to the Drawing Workbench, a number of views are not being displayed.
Steps To ReproduceCreate a cylindrical part.

Open Drawing Workbench and select template.

Select the Cylindrical Part and pick Insert orthographic projection.

No projection is produced.

After checking ALL boxes, only a few projections are shown, the rest show an error in the tree view with no message.
Additional InformationFreeCAD Forum topic - http://forum.freecadweb.org/viewtopic.php?f=3&t=9289

Thread includes screenshots and example file.
TagsNo tags attached.

Relationships

related to 0001898 closed Drawing workbench draws cylinder in orthographic projection wrong 

Activities

quick61

2015-01-11 22:36

reporter   ~0005622

Last edited: 2015-01-11 22:37

View 2 revisions

Forgot - Sorry - Bug occurring on the following build

OS: Kubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4460 (Git)
Branch: master
Hash: 351b9d7425ad0bb5acebf31dbb8ba9e9ae709da6
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17-dev

normandc

2015-01-11 22:38

manager   ~0005623

Last edited: 2015-01-11 22:41

View 4 revisions

Sorry for the multiple edits. I thought the problem was with a cylindrical shape with a toroidal groove on it, and didn't read the bug description properly, I confirm that any plain cylinder is affected.

It may be related to the commit that fixed issue #0001898

shoogen

2015-01-24 22:55

developer   ~0005720

http://forum.freecadweb.org/viewtopic.php?f=12&t=9454&view=unread#p76661

normandc

2015-01-24 22:57

manager   ~0005721

I wanted to compile FreeCAD with the commit before it to validate my assumption before reopening this bug.

normandc

2015-01-24 23:50

manager   ~0005726

Last edited: 2015-01-24 23:50

View 2 revisions

I compiled FreeCAD from commit just before 0a31beb which fixed issue #0001898.

OS: Ubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4453 (Git)
Branch: (detached from 9cb8471)
Hash: 9cb8471fa294cf7f1dcee47509cde128661728b8
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1

This generates the projected views with no reversed arcs (refer to forum link shoogen posted). It does appear like a regression was introduced either from 0a31beb or from b437dfd9.

normandc

2015-01-25 00:35

manager  

Exercice_n2_3_simplified.fcstd (Attachment missing)

normandc

2015-01-25 00:35

manager  

FC_drawing_jpmartin_simplified.png (Attachment missing)

normandc

2015-01-25 00:43

manager   ~0005728

Last edited: 2015-01-25 00:44

View 2 revisions

I've attached a simplified version (minus threads) of the file showing reversed arcs in projected views.

Hidden and smooth edges are set to true. They show multiple problems:

1. Reversed arc on top of the groove in the view (0,-1,0).
2. Filleted edges with a convex filleted face are not projected in view (0,-1,0).
3. Edges that are partially visible and partially hidden are displayed as fully hidden rather than broken down into separate visible and hidden edges. This can be seen in the isometric view.

In retrospect maybe this should have been reported separately rather than reopening this ticket?

FreeCAD info:
OS: Ubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4523 (Git)
Branch: master
Hash: 5a9484f06cb412b94df3b22cf122f052f1d2d3a3
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1

normandc

2015-01-25 00:51

manager  

FC_drawing_jpmartin_simplified_V0143705.png (Attachment missing)

normandc

2015-01-25 00:52

manager   ~0005729

Last edited: 2015-01-25 00:53

View 2 revisions

Added another picture showing views of the simplified part created in FreeCAD V0.14.3705.

While problems Nº 2 and Nº 3 still show, #1 is not.

OS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.14.3705 (Git)
Branch: FreeCAD-0-14
Hash: f25e6e4716fb63ef3ac618ce9e552761bbc1b4b1
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.1

wmayer

2016-07-28 17:32

administrator   ~0007221

When doing this with 0.17 & OCC 7 then it shows for all check boxes a projection.

Issue History

Date Modified Username Field Change
2015-01-11 22:33 quick61 New Issue
2015-01-11 22:36 quick61 Note Added: 0005622
2015-01-11 22:37 quick61 Note Edited: 0005622 View Revisions
2015-01-11 22:38 normandc Note Added: 0005623
2015-01-11 22:39 normandc Note Edited: 0005623 View Revisions
2015-01-11 22:39 normandc Note Edited: 0005623 View Revisions
2015-01-11 22:41 normandc Note Edited: 0005623 View Revisions
2015-01-12 01:00 wmayer Changeset attached => FreeCAD Master master b437dfd9
2015-01-12 01:00 wmayer Assigned To => wmayer
2015-01-12 01:00 wmayer Status new => closed
2015-01-12 01:00 wmayer Resolution open => fixed
2015-01-24 22:55 shoogen Note Added: 0005720
2015-01-24 22:55 shoogen Status closed => feedback
2015-01-24 22:55 shoogen Resolution fixed => reopened
2015-01-24 22:57 normandc Note Added: 0005721
2015-01-24 23:50 normandc Note Added: 0005726
2015-01-24 23:50 normandc Note Edited: 0005726 View Revisions
2015-01-25 00:35 normandc File Added: Exercice_n2_3_simplified.fcstd
2015-01-25 00:35 normandc File Added: FC_drawing_jpmartin_simplified.png
2015-01-25 00:43 normandc Note Added: 0005728
2015-01-25 00:44 normandc Note Edited: 0005728 View Revisions
2015-01-25 00:47 shoogen Relationship added related to 0001898
2015-01-25 00:51 normandc File Added: FC_drawing_jpmartin_simplified_V0143705.png
2015-01-25 00:52 normandc Note Added: 0005729
2015-01-25 00:53 normandc Note Edited: 0005729 View Revisions
2016-07-28 17:32 wmayer Note Added: 0007221
2016-07-28 17:32 wmayer Status feedback => closed
2016-07-28 17:32 wmayer Resolution reopened => fixed
2016-07-28 17:32 wmayer Fixed in Version => 0.17